//
//  xmlTestViewController.m
//  xmlTest
//
//  Created by 森 巧尚 on 10/11/24.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "xmlTestViewController.h"

@implementation xmlTestViewController

-(void)viewDidLoad {
	[super viewDidLoad];
	
	// テキストビューの初期化と編集不可に設定
	myTextView.text = @"";
	myTextView.editable = NO;
	
	// URLを指定してXMLパーサーを作る
	NSURL *myURL = [NSURL URLWithString:@"http://www.ymori.com/itest/test.xml"];
	NSXMLParser *myParser = [[NSXMLParser alloc] initWithContentsOfURL:myURL];
	myParser.delegate = self;
	// 解析を開始する
	[myParser parse];
}

- (void)parserDidStartDocument:(NSXMLParser *)parser {
	// 解析中タグの初期化
	nowTagStr = [NSString stringWithString:@""];
}
- (void)parser:(NSXMLParser *)parser
didStartElement:(NSString *)elementName
  namespaceURI:(NSString *)namespaceURI 
 qualifiedName:(NSString *)qName
	attributes:(NSDictionary *)attributeDict {
	
	// 開始タグが"sweets"だったら
    if ([elementName isEqualToString:@"sweets"]) {
		// 解析中タグに設定
		nowTagStr = [NSString stringWithString:elementName];
		// テキストバッファの初期化
		txtBuffer = [NSString stringWithString:@""];
		
		// テキストビューに、タグ名と、price属性を追加する
		myTextView.text = [myTextView.text stringByAppendingFormat:
						   @"タグ名=[%@]\n 属性 price=[%@]",
						   elementName, [attributeDict objectForKey:@"price"]];
	}
}
- (void)parser:(NSXMLParser *)parser foundCharacters:(NSString *)string {
	// 解析中のタグが"sweets"だったら
    if ([nowTagStr isEqualToString:@"sweets"]) {
		// テキストバッファに文字を追加する
		txtBuffer = [txtBuffer stringByAppendingString:string];
	}
}
- (void)parser:(NSXMLParser *)parser 
 didEndElement:(NSString *)elementName
  namespaceURI:(NSString *)namespaceURI
 qualifiedName:(NSString *)qName {
	
	// 終了タグが"sweets"だったら
    if ([elementName isEqualToString:@"sweets"]) {
		// テキストビューにテキストバッファの文字を追加する
		myTextView.text = [myTextView.text stringByAppendingFormat:
						   @"\n 要素=[%@]\n\n",txtBuffer];
	}
}

/*
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if ((self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil])) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/


/*
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
}
*/


/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}

@end
